---
sidebar_position: 2
description: Update calendar event and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Update calendar event
 Modifies calendar event data



`Function UpdateCalendarEvent(Val URL, Val EventID, Val EventDescription, Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | EventID | --event | Number | &#x2714; | Calednar event ID |
  | EventDescription | --fields | Structure Of KeyAndValue | &#x2714; | Event description. See GetCalendarEventsStructure |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Map Of KeyAndValue - serialized JSON of answer from Bitrix24 API

:::tip
Method at API documentation: [calendar.event.update](https://apidocs.bitrix24.ru/api-reference/calendar/calendar-event/calendar-event-update.html)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    URL     = "https://b24-ar17wx.bitrix24.by/rest/1/h0m...";
    EventID = "3296";

    EventStucture = New Structure;

    EventStucture.Insert("ownerId"      , 1);
    EventStucture.Insert("type"         , "user");
    EventStucture.Insert("name"         , "Modified event");
    EventStucture.Insert("description"  , "New event description");
    EventStucture.Insert("importance"   , "low");
    EventStucture.Insert("private_event", "Y");

    Result = OPI_Bitrix24.UpdateCalendarEvent(URL, EventID, EventStucture);

    URL        = "b24-ar17wx.bitrix24.by";
    Token      = "6ad03969006e9f06006b12e400000001000...";
    EventID    = "3300";
    CalendarID = "1776";

    Result = OPI_Bitrix24.UpdateCalendarEvent(URL, EventID, EventStucture, Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            # JSON data can also be passed as a path to a .json file
            
            oint bitrix24 UpdateCalendarEvent \
             --url "b24-ar17wx.bitrix24.by" \
             --event 3308 \
             --fields "{'ownerId':'1','type':'user','name':'Modified event','description':'New event description','importance':'low','private_event':'Y'}" \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            :: JSON data can also be passed as a path to a .json file
            
            oint bitrix24 UpdateCalendarEvent ^
             --url "b24-ar17wx.bitrix24.by" ^
             --event 3308 ^
             --fields "{'ownerId':'1','type':'user','name':'Modified event','description':'New event description','importance':'low','private_event':'Y'}" ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "result": 3308,
 "time": {
  "start": 1765397026,
  "finish": 1765397026.56354,
  "duration": 0.56353497505188,
  "processing": 0,
  "date_start": "2025-12-10T20:03:46+00:00",
  "date_finish": "2025-12-10T20:03:46+00:00",
  "operating_reset_at": 1765397626,
  "operating": 0.154438018798828
 }
}
```
